# RadioLib: LoRaWANBand_t Struct Reference

LoRaWANBand_t Struct Reference

Structure to save information about LoRaWAN band. More...

`#include <LoRaWAN.h>`

## Public Attributes

uint8_t | downlinkDataRateBase
| The base downlink data rate. Used to calculate data rate changes for adaptive data rate.
uint8_t | downlinkDataRateMin
| The minimum allowed downlink data rate. Used to calculate data rate changes for adaptive data rate.
uint8_t | payloadLenMax [RADIOLIB_LORAWAN_CHANNEL_NUM_DATARATES]
| Array of allowed maximum payload lengths for each data rate.
int8_t | powerMax
| Maximum allowed output power in this band in dBm.
int8_t | powerNumSteps
| Number of power steps in this band.
uint8_t | cfListType
| Whether the optional channels are defined as list of frequencies or bit mask.
uint8_t | numChannelSpans
| Number of channel spans in the band.
LoRaWANChannelSpan_t | defaultChannels [3]
| Default uplink (TX/RX1) channels defined by LoRaWAN Regional Parameters.
LoRaWANChannelSpan_t | backupChannel
| Backup downlink (RX2) channel - just a single channel, but using the same structure for convenience.

## Detailed Description

Structure to save information about LoRaWAN band.

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h